tmr_manager: XTMR_Manager_Config Struct Reference

| tmr_manager Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XTMR_Manager_Config Struct Reference
Tmr_manager_v1_0

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | RegBaseAddr
| Register base address. More...
u32 | BrkDelayRstValue
| Value of parameter C_BRK_DLEAY_RST_VALUE. More...
u64 | MaskRstValue
| Value of parameter C_MASK_RST_VALUE. More...
u8 | Magic1
| Value of parameter C_MAGIC1. More...
u8 | Magic2
| Value of parameter C_MAGIC2. More...
u8 | UEIsFatal
| Value of parameter C_UE_IS_FATAL. More...
u8 | UEWidth
| Value of parameter C_UE_WIDTH. More...
u8 | NoOfComparators
| Value of parameter C_NO_OF_COMPARATORS. More...
u8 | ComparatorsMask
| Value of parameter C_COMPARATORS_MASK. More...
u8 | Watchdog
| Value of parameter C_WATCHDOG. More...
u8 | WatchdogWidth
| Value of parameter C_WATCHDOG_WIDTH. More...
u8 | SemInterface
| Value of parameter C_SEM_INTERFACE. More...
u8 | SemWatchdog
| Value of parameter C_SEM_HEARTBEAT_WATCHDOG. More...
u8 | SemWatchdogWidth
| Value of parameter C_SEM_HEARTBEAT_WATCHDOG_WIDTH. More...
u8 | BrkDelayWidth
| Value of parameter C_BRK_DELAY_WIDTH. More...
u8 | Tmr
| Value of parameter C_TMR. More...
u8 | TestComparator
| Value of parameter C_TEST_COMPARATOR. More...
u8 | StrictMiscompare
| Value of parameter C_STRICT_MISCOMPARE. More...
u8 | UseDebugDisable
| Value of parameter C_USE_DEBUG_DISABLE. More...
u8 | UseTmrDisable
| Value of parameter C_USE_TMR_DISABLE. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

u32 XTMR_Manager_Config::BrkDelayRstValue

Value of parameter C_BRK_DLEAY_RST_VALUE.

Referenced by XTMR_Manager_CfgInitialize().

u8 XTMR_Manager_Config::BrkDelayWidth

Value of parameter C_BRK_DELAY_WIDTH.

Referenced by XTMR_Manager_CfgInitialize().

u8 XTMR_Manager_Config::ComparatorsMask

Value of parameter C_COMPARATORS_MASK.

Referenced by XTMR_Manager_CfgInitialize().

u16 XTMR_Manager_Config::DeviceId

Unique ID of device.

u8 XTMR_Manager_Config::Magic1

Value of parameter C_MAGIC1.

Referenced by XTMR_Manager_CfgInitialize().

u8 XTMR_Manager_Config::Magic2

Value of parameter C_MAGIC2.

u64 XTMR_Manager_Config::MaskRstValue

Value of parameter C_MASK_RST_VALUE.

Referenced by XTMR_Manager_CfgInitialize().

u8 XTMR_Manager_Config::NoOfComparators

Value of parameter C_NO_OF_COMPARATORS.

UINTPTR XTMR_Manager_Config::RegBaseAddr

Register base address.

Referenced by XTMR_Manager_Initialize().

u8 XTMR_Manager_Config::SemInterface

Value of parameter C_SEM_INTERFACE.

Referenced by XTMR_Manager_CfgInitialize().

u8 XTMR_Manager_Config::SemWatchdog

Value of parameter C_SEM_HEARTBEAT_WATCHDOG.

u8 XTMR_Manager_Config::SemWatchdogWidth

Value of parameter C_SEM_HEARTBEAT_WATCHDOG_WIDTH.

u8 XTMR_Manager_Config::StrictMiscompare

Value of parameter C_STRICT_MISCOMPARE.

u8 XTMR_Manager_Config::TestComparator

Value of parameter C_TEST_COMPARATOR.

Referenced by XTMR_Manager_CfgInitialize().

u8 XTMR_Manager_Config::Tmr

Value of parameter C_TMR.

u8 XTMR_Manager_Config::UEIsFatal

Value of parameter C_UE_IS_FATAL.

u8 XTMR_Manager_Config::UEWidth

Value of parameter C_UE_WIDTH.

u8 XTMR_Manager_Config::UseDebugDisable

Value of parameter C_USE_DEBUG_DISABLE.

u8 XTMR_Manager_Config::UseTmrDisable

Value of parameter C_USE_TMR_DISABLE.

u8 XTMR_Manager_Config::Watchdog

Value of parameter C_WATCHDOG.

u8 XTMR_Manager_Config::WatchdogWidth

Value of parameter C_WATCHDOG_WIDTH.